evhttp_compat(3)

NAME
evhttp_compat -

Potentially non-threadsafe versions of the functions in http.h: provided only for backwards compatibility.

SYNOPSIS

#include <event2/http_compat.h>
#include <event2/event-config.h>
#include <event2/util.h>

  Macros
#define evhttp_request_uri evhttp_request_get_uri
Returns the request URI.

  Functions
struct evhttp_connection * evhttp_connection_new (const char *address, unsigned short port)
A connection object that can be used to for making HTTP requests.
void evhttp_connection_set_base (struct evhttp_connection *evcon, struct event_base *base)
Associates an event base with the connection - can only be called on a freshly created connection object that has not been used yet.
struct evhttp * evhttp_start (const char *address, unsigned short port)
Start an HTTP server on the specified address and port.

Detailed Description

Potentially non-threadsafe versions of the functions in http.h: provided only for backwards compatibility.

Function Documentation

  struct evhttp_connection* evhttp_connection_new (const char *address, unsigned shortport) [read]

A connection object that can be used to for making HTTP requests. The connection object tries to establish the connection when it is given an http request object.

Deprecated
    It does not allow an event base to be specified

  void evhttp_connection_set_base (struct evhttp_connection *evcon, struct event_base *base)

Associates an event base with the connection - can only be called on a freshly created connection object that has not been used yet. Deprecated
    XXXX Why?

  struct evhttp* evhttp_start (const char *address, unsigned shortport) [read]

Start an HTTP server on the specified address and port. Deprecated
    It does not allow an event base to be specified

Parameters:
    address the address to which the HTTP server should be bound
    port the port number on which the HTTP server should listen

Returns:
    an struct evhttp object

Author

Generated automatically by Doxygen for libevent from the source code.